%define major 0
%define libname %mklibname augeas %{major}
%define develname %mklibname augeas -d

Name:           augeas
Version:        0.7.1
Release:        %mkrel 1
Summary:        A library for changing configuration files
Group:          Development/C
License:        LGPLv2+
URL:            http://augeas.net/
Source0:        http://augeas.net/download/%{name}-%{version}.tar.gz
BuildRequires:  readline-devel, ruby
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
A library for programmatically editing configuration files. Augeas parses
configuration files into a tree structure, which it exposes through its
public API. Changes made through the API are written back to the initially
read files.

The transformation works very hard to preserve comments and formatting
details. It is controlled by ``lens'' definitions that describe the file
format and the transformation into a tree.

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/C
Provides:       %{name}-devel
Requires:       pkgconfig
Requires:       %{libname} = %{version}-%{release}

%description -n %develname
This package contains libraries and header files for
developing applications that use %{name}.

%package -n %{libname}
Summary:        Libraries for %{name}
Requires:       %{name}-lenses = %{version}-%{release}
Group:          Development/C

%description -n %{libname}
The libraries for %{name}.

%package lenses
Summary:        Lenses for %{name}
Group:          Development/C

%description lenses
The lenses for %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%check
%make check

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/augtool
%{_bindir}/augparse
%{_bindir}/fadot
%{_mandir}/man1/*
%{_datadir}/vim/vimfiles/ftdetect/augeas.vim
%{_datadir}/vim/vimfiles/syntax/augeas.vim

%files lenses
%defattr(-,root,root)
%{_datadir}/augeas

%files -n %{libname}
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS
%{_libdir}/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/augeas.pc



%changelog
* Fri Apr 23 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.7.1-1mdv2010.1
+ Revision: 538138
- update to 0.7.1

* Thu Jan 28 2010 Frederik Himpe <fhimpe@mandriva.org> 0.7.0-2mdv2010.1
+ Revision: 497703
- Update to new version 0.7.0
- Remove patch integrated upstream

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.0-2mdv2010.1
+ Revision: 484191
- Fix vim syntax file (bug #56363)

* Thu Dec 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.6.0-1mdv2010.1
+ Revision: 476131
- Update to new version 0.6.0

* Tue Sep 15 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.3-1mdv2010.0
+ Revision: 443125
- update to new version 0.5.3

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-3mdv2010.0
+ Revision: 397167
- fix lib package dependencies

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.2-2mdv2010.0
+ Revision: 397142
- split lenses into their own subpackage, and force a dependency from the library package

* Tue Jul 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.5.2-1mdv2010.0
+ Revision: 395898
- update to new version 0.5.2

  + Bruno Cornec <bcornec@mandriva.org>
    - Adds a ruby BuildRequire dep in order to have tests passing correctly

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - enable tests

* Thu Jul 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-3mdv2010.0
+ Revision: 393710
- really fix library package name

* Wed Jul 08 2009 Pascal Terjan <pterjan@mandriva.org> 0.5.1-2mdv2010.0
+ Revision: 393464
- Fix library name

* Tue Jul 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.1-1mdv2010.0
+ Revision: 393237
- import augeas


* Fri Jun  5 2009 David Lutterkort <lutter@redhat.com> - 0.5.1-1
- Install fadot

* Fri Mar 27 2009 David Lutterkort <lutter@redhat.com> - 0.5.0-2
- fadot isn't being installed just yet

* Tue Mar 24 2009 David Lutterkort <lutter@redhat.com> - 0.5.0-1
- New program /usr/bin/fadot

* Mon Mar  9 2009 David Lutterkort <lutter@redhat.com> - 0.4.2-1
- New version

* Fri Feb 27 2009 David Lutterkort <lutter@redhat.com> - 0.4.1-1
- New version

* Fri Feb  6 2009 David Lutterkort <lutter@redhat.com> - 0.4.0-1
- New version

* Mon Jan 26 2009 David Lutterkort <lutter@redhat.com> - 0.3.6-1
- New version

* Tue Dec 23 2008 David Lutterkort <lutter@redhat.com> - 0.3.5-1
- New version

* Mon Feb 25 2008 David Lutterkort <dlutter@redhat.com> - 0.0.4-1
- Initial specfile
